List Slack blasts
curl --request GET \
--url https://attend.hackclub.com/api/v1/events/{event_id}/slack_blasts \
--header 'Authorization: Bearer <token>'import requests
url = "https://attend.hackclub.com/api/v1/events/{event_id}/slack_blasts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://attend.hackclub.com/api/v1/events/{event_id}/slack_blasts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"slack_blasts": [
{
"id": 12,
"message": "<string>",
"status": "pending",
"recipient_count": 123,
"sent_count": 123,
"failed_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"sent_by": "<string>"
}
]
}{
"error": "Unauthorized"
}{
"error": "Unauthorized"
}{
"error": "Unauthorized"
}Slack Blasts
List Slack blasts
GET
/
events
/
{event_id}
/
slack_blasts
List Slack blasts
Authorizations
Mobile token, global API token, series API key, or event API key. See Authentication above for which endpoints each one reaches.
Path Parameters
Event id.
Response
Slack blasts, newest first.
Show child attributes
Show child attributes
Was this page helpful?